// color
$White: #fff;
$Lime: #c3d422;
$Blue: #094658;
$DarkBlue: #06333f;
$Teal: #378889;
$Green: #6f9849;
$Gray: #4d4c4d;
$SkyLight: #e8f2f2;
$Red: #f75c5c;

html {
  scroll-behavior: smooth !important;
}

// mixin  transform & transition
@mixin transform($value) {
  -webkit-transform: $value;
  -moz-transform: $value;
  -o-transform: $value;
  -ms-transform: $value;
  transform: $value;
}
@mixin transition($time) {
  -webkit-transition: $time;
  -moz-transition: $time;
  -ms-transition: $time;
  -o-transition: $time;
  transition: $time;
}

// media

@mixin mindesktop {
  @media (min-width: 1200px) {
    @content;
  }
}

@mixin mdesktop {
  @media (max-width: 1199px) {
    @content;
  }
}
@mixin ipadpro {
  @media (max-width: 1065px) {
    @content;
  }
}

@mixin mtablet {
  @media (max-width: 991px) {
    @content;
  }
}
@mixin tmobile {
  @media (max-width: 992px) {
    @content;
  }
}
@mixin mmobile {
  @media (max-width: 767px) {
    @content;
  }
}
@mixin smobile {
  @media (max-width: 480px) {
    @content;
  }
}
@mixin bigScreen {
  @media (min-width: 992px) {
    @content;
  }
}
@mixin maxScreen {
  @media (max-width: 1150px) {
    @content;
  }
}
@mixin xsmob {
  @media (max-width: 360px) {
    @content;
  }
}

// keyframe
@mixin keyframes($name) {
  @-o-keyframes #{$name} {
    @content;
  }
  @-moz-keyframes #{$name} {
    @content;
  }
  @-webkit-keyframes #{$name} {
    @content;
  }
  @keyframes #{$name} {
    @content;
  }
}
// animation
@mixin animation($prop...) {
  -o-animation: $prop;
  -moz-animation: $prop;
  -ms-animation: $prop;
  -webkit-animation: $prop;
  animation: $prop;
}
// border radius
@mixin border-radius($rad) {
  -webkit-border-radius: $rad;
  -moz-border-radius: $rad;
  -ms-border-radius: $rad;
  -o-border-radius: $rad;
  border-radius: $rad;
}
// box-shadow
@mixin box-shadow($boxshadow) {
  -webkit-box-shadow: $boxshadow;
  -moz-box-shadow: $boxshadow;
  -ms-box-shadow: $boxshadow;
  -o-box-shadow: $boxshadow;
  box-shadow: $boxshadow;
}

.modal-dialog .modal .modal-xl .modal-dialog-centered {
  justify-content: center;
  overflow-y: hidden;
  height: 100vh;
}
